org.apache.tinkerpop.gremlin.process.traversal.step.filter

## Class RangeTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.RangeTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.RangeTest.Traversals

- Enclosing class:
    RangeTest

      public static class RangeTest.Traversals
      extends RangeTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.filter.RangeTest

      `RangeTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,String>` | `get_g_V_asXaX_in_asXaX_in_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_limitXlocal_1X()`
    `Traversal<Vertex,List<String>>` | `get_g_V_asXaX_in_asXaX_in_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_limitXlocal_2X()`
    `Traversal<Vertex,Map<String,String>>` | `get_g_V_asXaX_in_asXbX_in_asXcX_selectXa_b_cX_byXnameX_limitXlocal_1X()`
    `Traversal<Vertex,Map<String,String>>` | `get_g_V_asXaX_in_asXbX_in_asXcX_selectXa_b_cX_byXnameX_limitXlocal_2X()`
    `Traversal<Vertex,String>` | `get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_rangeXlocal_1_2X()`
    `Traversal<Vertex,List<String>>` | `get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_rangeXlocal_1_3X()`
    `Traversal<Vertex,String>` | `get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_rangeXlocal_4_5X()`
    `Traversal<Vertex,Map<String,String>>` | `get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_rangeXlocal_1_2X()`
    `Traversal<Vertex,Map<String,String>>` | `get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_rangeXlocal_1_3X()`
    `Traversal<Vertex,String>` | `get_g_V_hasLabelXpersonX_order_byXageX_skipX1X_valuesXnameX()`
    `Traversal<Vertex,String>` | `get_g_V_hasLabelXpersonX_order_byXageX_valuesXnameX_skipX1X()`
    `Traversal<Vertex,Vertex>` | `get_g_V_localXoutE_limitX1X_inVX_limitX3X()`
    `Traversal<Vertex,List<Double>>` | `get_g_V_outE_valuesXweightX_fold_orderXlocalX_skipXlocal_2X()`
    `Traversal<Vertex,Vertex>` | `get_g_V_repeatXbothX_timesX3X_rangeX5_11X()`
    `Traversal<Vertex,Vertex>` | `get_g_VX1X_out_limitX2X(Object v1Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VX1X_outXcreatedX_inEXcreatedX_rangeX1_3X_outV(Object v1Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VX1X_outXcreatedX_inXcreatedX_rangeX1_3X(Object v1Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VX1X_outXknowsX_outEXcreatedX_rangeX0_1X_inV(Object v1Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VX1X_outXknowsX_outXcreatedX_rangeX0_1X(Object v1Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.filter.RangeTest

      `g_V_asXaX_in_asXaX_in_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_limitXlocal_1X, g_V_asXaX_in_asXaX_in_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_limitXlocal_2X, g_V_asXaX_in_asXbX_in_asXcX_selectXa_b_cX_byXnameX_limitXlocal_1X, g_V_asXaX_in_asXbX_in_asXcX_selectXa_b_cX_byXnameX_limitXlocal_2X, g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_rangeXlocal_1_2X, g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_rangeXlocal_1_3X, g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_rangeXlocal_4_5X, g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_rangeXlocal_1_2X, g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_rangeXlocal_1_3X, g_V_hasLabelXpersonX_order_byXageX_skipX1X_valuesXnameX, g_V_hasLabelXpersonX_order_byXageX_valuesXnameX_skipX1X, g_V_localXoutE_limitX1X_inVX_limitX3X, g_V_outE_valuesXweightX_fold_orderXlocalX_skipXlocal_2X, g_V_repeatXbothX_timesX3X_rangeX5_11X, g_VX1X_out_limitX2X, g_VX1X_outXcreatedX_inEXcreatedX_rangeX1_3X_outV, g_VX1X_outXcreatedX_inXcreatedX_rangeX1_3X, g_VX1X_outXknowsX_outEXcreatedX_rangeX0_1X_inV, g_VX1X_outXknowsX_outXcreatedX_rangeX0_1X`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_VX1X_out_limitX2X

          public Traversal<Vertex,Vertex> get_g_VX1X_out_limitX2X(Object v1Id)

      Specified by:
        `get_g_VX1X_out_limitX2X` in class `RangeTest`

    - #### get_g_V_localXoutE_limitX1X_inVX_limitX3X

          public Traversal<Vertex,Vertex> get_g_V_localXoutE_limitX1X_inVX_limitX3X()

      Specified by:
        `get_g_V_localXoutE_limitX1X_inVX_limitX3X` in class `RangeTest`

    - #### get_g_VX1X_outXknowsX_outEXcreatedX_rangeX0_1X_inV

          public Traversal<Vertex,Vertex> get_g_VX1X_outXknowsX_outEXcreatedX_rangeX0_1X_inV(Object v1Id)

      Specified by:
        `get_g_VX1X_outXknowsX_outEXcreatedX_rangeX0_1X_inV` in class `RangeTest`

    - #### get_g_VX1X_outXknowsX_outXcreatedX_rangeX0_1X

          public Traversal<Vertex,Vertex> get_g_VX1X_outXknowsX_outXcreatedX_rangeX0_1X(Object v1Id)

      Specified by:
        `get_g_VX1X_outXknowsX_outXcreatedX_rangeX0_1X` in class `RangeTest`

    - #### get_g_VX1X_outXcreatedX_inXcreatedX_rangeX1_3X

          public Traversal<Vertex,Vertex> get_g_VX1X_outXcreatedX_inXcreatedX_rangeX1_3X(Object v1Id)

      Specified by:
        `get_g_VX1X_outXcreatedX_inXcreatedX_rangeX1_3X` in class `RangeTest`

    - #### get_g_VX1X_outXcreatedX_inEXcreatedX_rangeX1_3X_outV

          public Traversal<Vertex,Vertex> get_g_VX1X_outXcreatedX_inEXcreatedX_rangeX1_3X_outV(Object v1Id)

      Specified by:
        `get_g_VX1X_outXcreatedX_inEXcreatedX_rangeX1_3X_outV` in class `RangeTest`

    - #### get_g_V_repeatXbothX_timesX3X_rangeX5_11X

          public Traversal<Vertex,Vertex> get_g_V_repeatXbothX_timesX3X_rangeX5_11X()

      Specified by:
        `get_g_V_repeatXbothX_timesX3X_rangeX5_11X` in class `RangeTest`

    - #### get_g_V_asXaX_in_asXaX_in_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_limitXlocal_2X

          public Traversal<Vertex,List<String>> get_g_V_asXaX_in_asXaX_in_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_limitXlocal_2X()

      Specified by:
        `get_g_V_asXaX_in_asXaX_in_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_limitXlocal_2X` in class `RangeTest`

    - #### get_g_V_asXaX_in_asXaX_in_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_limitXlocal_1X

          public Traversal<Vertex,String> get_g_V_asXaX_in_asXaX_in_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_limitXlocal_1X()

      Specified by:
        `get_g_V_asXaX_in_asXaX_in_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_limitXlocal_1X` in class `RangeTest`

    - #### get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_rangeXlocal_1_3X

          public Traversal<Vertex,List<String>> get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_rangeXlocal_1_3X()

      Specified by:
        `get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_rangeXlocal_1_3X` in class `RangeTest`

    - #### get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_rangeXlocal_1_2X

          public Traversal<Vertex,String> get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_rangeXlocal_1_2X()

      Specified by:
        `get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_rangeXlocal_1_2X` in class `RangeTest`

    - #### get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_rangeXlocal_4_5X

          public Traversal<Vertex,String> get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_rangeXlocal_4_5X()

      Specified by:
        `get_g_V_asXaX_out_asXaX_out_asXaX_selectXmixed_aX_byXunfold_valuesXnameX_foldX_rangeXlocal_4_5X` in class `RangeTest`

    - #### get_g_V_asXaX_in_asXbX_in_asXcX_selectXa_b_cX_byXnameX_limitXlocal_2X

          public Traversal<Vertex,Map<String,String>> get_g_V_asXaX_in_asXbX_in_asXcX_selectXa_b_cX_byXnameX_limitXlocal_2X()

      Specified by:
        `get_g_V_asXaX_in_asXbX_in_asXcX_selectXa_b_cX_byXnameX_limitXlocal_2X` in class `RangeTest`

    - #### get_g_V_asXaX_in_asXbX_in_asXcX_selectXa_b_cX_byXnameX_limitXlocal_1X

          public Traversal<Vertex,Map<String,String>> get_g_V_asXaX_in_asXbX_in_asXcX_selectXa_b_cX_byXnameX_limitXlocal_1X()

      Specified by:
        `get_g_V_asXaX_in_asXbX_in_asXcX_selectXa_b_cX_byXnameX_limitXlocal_1X` in class `RangeTest`

    - #### get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_rangeXlocal_1_3X

          public Traversal<Vertex,Map<String,String>> get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_rangeXlocal_1_3X()

      Specified by:
        `get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_rangeXlocal_1_3X` in class `RangeTest`

    - #### get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_rangeXlocal_1_2X

          public Traversal<Vertex,Map<String,String>> get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_rangeXlocal_1_2X()

      Specified by:
        `get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_rangeXlocal_1_2X` in class `RangeTest`

    - #### get_g_V_hasLabelXpersonX_order_byXageX_valuesXnameX_skipX1X

          public Traversal<Vertex,String> get_g_V_hasLabelXpersonX_order_byXageX_valuesXnameX_skipX1X()

      Specified by:
        `get_g_V_hasLabelXpersonX_order_byXageX_valuesXnameX_skipX1X` in class `RangeTest`

    - #### get_g_V_hasLabelXpersonX_order_byXageX_skipX1X_valuesXnameX

          public Traversal<Vertex,String> get_g_V_hasLabelXpersonX_order_byXageX_skipX1X_valuesXnameX()

      Specified by:
        `get_g_V_hasLabelXpersonX_order_byXageX_skipX1X_valuesXnameX` in class `RangeTest`

    - #### get_g_V_outE_valuesXweightX_fold_orderXlocalX_skipXlocal_2X

          public Traversal<Vertex,List<Double>> get_g_V_outE_valuesXweightX_fold_orderXlocalX_skipXlocal_2X()

      Specified by:
        `get_g_V_outE_valuesXweightX_fold_orderXlocalX_skipXlocal_2X` in class `RangeTest`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.